searchNodes=[{"ref":"Membrane.Element.File.Sink.html","title":"Membrane.Element.File.Sink","type":"module","doc":"Element that creates a file and stores incoming buffers there (in binary format). Element options Passed via struct Membrane.Element.File.Sink.t/0 location Required Path to the file Pads :input Availability:always Bin?false Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull Name:input"},{"ref":"Membrane.Element.File.Sink.html#membrane_pads/0","title":"Membrane.Element.File.Sink.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.File.Sink"},{"ref":"Membrane.Element.File.Sink.html#options/0","title":"Membrane.Element.File.Sink.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.File.Sink.html#t:t/0","title":"Membrane.Element.File.Sink.t/0","type":"type","doc":"Struct containing options for Membrane.Element.File.Sink"},{"ref":"Membrane.Element.File.Sink.Multi.html","title":"Membrane.Element.File.Sink.Multi","type":"module","doc":"Element that writes buffers to a set of files. File is switched on event. Files are named according to naming_fun passed in options. This function receives sequential number of file and should return string. It defaults to file000, file001, ... The event type, which starts writing to a next file, is passed as atom in split_on option. It defaults to :split. Element options Passed via struct Membrane.Element.File.Sink.Multi.t/0 location Required Base path to the file, will be passed to the naming function extension Default value: &quot;&quot; Extension of the file, should be preceeded with dot (.). It is passed to the naming function. naming_fun Default value: &amp;Membrane.Element.File.Sink.Multi.default_naming_fun/3 Function accepting base path, sequential number and file extension, and returning file path as a string. Default one generates path/to/file0.ext, path/to/file1.ext, ... split_event Default value: Membrane.Element.File.SplitEvent Event causing switching to a new file Pads :input Availability:always Bin?false Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull Name:input"},{"ref":"Membrane.Element.File.Sink.Multi.html#default_naming_fun/3","title":"Membrane.Element.File.Sink.Multi.default_naming_fun/3","type":"function","doc":""},{"ref":"Membrane.Element.File.Sink.Multi.html#membrane_pads/0","title":"Membrane.Element.File.Sink.Multi.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.File.Sink.Multi"},{"ref":"Membrane.Element.File.Sink.Multi.html#options/0","title":"Membrane.Element.File.Sink.Multi.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.File.Sink.Multi.html#t:t/0","title":"Membrane.Element.File.Sink.Multi.t/0","type":"type","doc":"Struct containing options for Membrane.Element.File.Sink.Multi"},{"ref":"Membrane.Element.File.Source.html","title":"Membrane.Element.File.Source","type":"module","doc":"Element that reads chunks of data from given file and sends them as buffers through the output pad. Element options Passed via struct Membrane.Element.File.Source.t/0 location Required Path to the file chunk_size Default value: 2048 Size of chunks being read Pads :output Availability:always Bin?false Caps:any Direction:output Mode:pull Name:output"},{"ref":"Membrane.Element.File.Source.html#membrane_pads/0","title":"Membrane.Element.File.Source.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.File.Source"},{"ref":"Membrane.Element.File.Source.html#options/0","title":"Membrane.Element.File.Source.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.File.Source.html#supply_demand/3","title":"Membrane.Element.File.Source.supply_demand/3","type":"function","doc":""},{"ref":"Membrane.Element.File.Source.html#t:t/0","title":"Membrane.Element.File.Source.t/0","type":"type","doc":"Struct containing options for Membrane.Element.File.Source"},{"ref":"Membrane.Element.File.SplitEvent.html","title":"Membrane.Element.File.SplitEvent","type":"module","doc":"Default event that closes current and opens new file in Membrane.Element.File.Sink.Multi."},{"ref":"readme.html","title":"Membrane Multimedia Framework: File Element","type":"extras","doc":"Membrane Multimedia Framework: File Element This package provides elements that can be used to read from and write to files. It is part of Membrane Multimedia Framework."},{"ref":"readme.html#sample-usage","title":"Membrane Multimedia Framework: File Element - Sample usage","type":"extras","doc":"Playing below pipeline should copy /etc/passwd to ./test: defmodule FileExamplePipeline do use Membrane.Pipeline alias Pipeline.Spec alias Membrane.Element.File @doc false @impl true def handle_init(_) do children = [ file_src: %File.Source{location: &quot;/etc/passwd&quot;}, file_sink: %File.Sink{location: &quot;./test&quot;}, ] links = %{ {:file_src, :output} =&gt; {:file_sink, :input}, } {{:ok, %Spec{children: children, links: links}}, %{}} end end"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: File Element - Copyright and License","type":"extras","doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0"}]